CALIBREDB(1)

NAME
calibredb - calibredb

calibredb kommando [alternativ] [argument]

calibredb is the command line interface to the calibre database. It has several sub-commands, documented below.

calibredb can be used to manipulate either a calibre database specified by path or a calibre Content server running either on the local machine or over the internet. You can start a calibre Content server using either the calibre-server program or in the main calibre program click Connect/share  → Start Content server. Since calibredb can make changes to your calibre libraries, you must setup authentication on the server first. There are two ways to do that:

•   If you plan to connect only to a server running on the same computer, you can simply use the --enable-local-write option of the content server, to allow any program, including calibredb, running on the local computer to make changes to your calibre data. When running the server from the main calibre program, this option is in Preferences → Sharing over the net → Advanced.

•   If you want to enable access over the internet, then you should setup user accounts on the server and use the --username and --password options to calibredb to give it access. You can setup user authentication for calibre-server by using the --enable-auth option and using --manage-users to create the user accounts. If you are running the server from the main calibre program, use Preferences → Sharing over the net → Require username/password.

    To connect to a running Content server, pass the URL of the server to the --with-library option, see the documentation of that option for details and examples.

•   GLOBALA ALTERNATIV

•   list

•   add

•   LÄGGER TILL FRÅN KATALOGER

•   remove

•   add_format

•   remove_format

•   show_metadata

•   set_metadata

•   export

•   catalog

•   EPUB ALTERNATIV

•   saved_searches

•   add_custom_column

•   custom_columns

•   remove_custom_column

•   set_custom

•   restore_database

•   check_library

•   list_categories

•   backup_metadata

•   clone

•   embed_metadata

•   search

GLOBALA ALTERNATIV

--help, -h
    visa denna hjälptext och avsluta

--library-path, --with-library
    Sökägen till calibre-biblioteket. Som standard är att använda sökvägen som lagrats i inställningarna. Du kan också ansluta till en calibre Innehållsserver för att utföra åtgärder på fjärrbibliotek. För att göra så använd en URL på formatet : http://hostname:port/#library_id till exempel http://localhost:8080/#mylibrary. Library_id är bibliotekets ID för biblioteket du vill ansluta till på Innehållsservern. Du kan använda det speciella library_id-värdet av - för att få en lista över bibliotekets identiteter som är tillgängliga på servern. Mer information om hur du konfigurerar åtkomst via en Innehållsservern finns i https://manual.calibre-ebook.com/sv/generated/sv/calibredb.html.

--password
    Lösenord för anslutning till en calibre Innehållsserver. För att läsa lösenordet från standardinmatning, använd specialvärdet: <stdin>. För att läsa lösenordet från en fil, använd: <f:/path/to/file> (d.v.s. <f: följt av hela sökvägen till filen och en efterföljande>). Vinkelparenteserna ovan är nödvändiga, kom ihåg att undkomma dem eller använd citat för din shell.

--username
    Användarnamn för anslutning till en calibre-Innehållsserver

--version
    visar programmets versionsnummer och avsluta

LIST

calibredb lista [options]

Lista de böcker som finns i calibre-databasen.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--ascending
    Sortera resultaten i stigande ordning

--fields, -f
    Fälten som ska visas när du listar böcker i databasen. Bör vara en kommaseparerad lista över fält. Tillgängliga fält: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, timestamp, title, uuid Standard: title,authors. Det särskilda fältet "alla" kan användas för att markera alla fält. Förutom de inbyggda fälten ovan är anpassade fält också tillgängliga som *field_name, till exempel för ett anpassat fält #rating, använd namnet: *rating

--for-machine
    Generera utdata i JSON-format, vilket är mer lämpat för maskintolkning. Resulterar i radbredd och avskiljaralternativ att ignorera.

--limit
    Högsta antal resultat att visa. Standard: alla

--line-width, -w
    Största bredd på en enskild rad i utdata. Som standard används den detekterade skärmstorleken.

--prefix
    Prefixet för alla sökvägar. Standard är den absoluta sökvägen till biblioteksmappen.

--search, -s
    Filtrera sökningens resultat. För information om sökformatet, se sökrelaterade dokumentation i användarhandboken. Som standard filtreras inte sökningen.

--separator
    Sträng som används för att separera fält. Standard är mellanslag.

--sort-by
    Fältet av för att sortera resultat. Tillgängliga fält: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, timestamp, title, uuid Standard: id

ADD

calibredb add [options] fil1 fil2 fil3 ...

Lägg till de angivna filerna som böcker till databasen. Du kan även ange kataloger, se katalog-relaterade alternativ nedan.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--authors, -a
    Ange författarna för tillagda boken/böckerna

--cover, -c
    Vägen till omslaget för att använda för extra bok

--duplicates, -d
    Lägg till böcker till databasen även om de redan finns. Jämförelsen görs utifrån boktitlarna.

--empty, -e
    Lägg till en tom bok (en bok utan format)

--identifier, -I
    Ange identifierare för den här boken, för t.ex. -I asin:XXX -I isbn:YYY

--isbn, -i
    Ange ISBN för tillagda boken/böckerna

--languages, -l
    En kommaseparerad lista med språk (bäst att använda ISO639 språkkoder, även om vissa språknamn kan också användas)

--series, -s
    Ange serier för tillagda boken/böckerna

--series-index, -S
    Ange serienummer för tillagda boken/böckerna

--tags, -T
    Ställ in markeringar i den tillsatta boken/böckerna

--title, -t
    Ange namn på tillsatta boken/böckerna

  LÄGGER TILL FRÅN KATALOGER

Alternativ för att anpassa tilläggningen av böcker från kataloger. Som standard läggs endast filer som har ändelser av kända e-bokfiltyper till.

--add
    Ett filnamn (glob) mönster, kommer matcha filer som detta mönster läggas till vid genomsökning av kataloger efter filer, även om de inte är av en känd e-bok filtyp. Kan anges flera gånger för flera mönster.

--ignore
    Ett filnamn (glob) mönster, kommer filer som matchar detta mönster ignoreras vid genomsökning av kataloger efter filer. Kan anges flera gånger för flera mönster. För t.ex.: *.pdf ignorerar alla pdf-filer

--one-book-per-directory, -1
    Antag att varje katalog bara har en enda logisk bok och att alla filer i den är samma e-bok i olika format

--recurse, -r
    Sök igenom kataloger rekursivt

REMOVE

calibredb remove ids

Ta bort böcker som identifierats av id från databasen. id ska vara en kommaseparerad lista med ID-nummer (du kan få id-nummer med sökkommandot). Till exempel, 23,34,57-85 (när du anger ett intervall, det sista numret i intervallet inkluderas inte).

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--permanent
    Använd inte papperskorgen

ADD_FORMAT

calibredb add_format [options] id ebook_file

Lägg e-boken i ebook_file till tillgängliga format för logiska boken identifieras med hjälp av id. Du kan få id med sökkommandot. Om formatet redan existerar, ersätts, såvida inte ersätta alternativet anges.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--dont-replace
    Ersätt inte formatet om det redan existerar

REMOVE_FORMAT

calibredb remove_format [alternativ] id fmt

Ta bort format fmt från den logiska boken identifierad med hjälp av id. Du kan få id med sökkommandot. FMT bör vara en filändelse som LRF eller TXT eller EPUB. Om den logiska boken inte har FMT tillgänglig, gör inget.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

SHOW_METADATA

calibredb show_metadata [options] id

Visa metadata som lagras i calibre-databasen för boken identifierat av id. id är ett id-nummer från sökningskommando.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--as-opf
    Skriv metadata i OPF-form (XML)

SET_METADATA

calibredb set_metadata [options] id [/path/to/metadata.opf]

Uppsättning av metadata lagras i calibre-databas för boken identifieras av id från OPF-filen metadata.opf. id är ett id-nummer från sökkommandot. Du kan få en snabb känsla för OPF-format med hjälp av --as-opf valet till show_metadata kommando. Du kan också ställa in metadata för enskilda fält med den --field alternativ. Om du använder --field alternativ, finns det inget behov att specificera en OPF-fil.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--field, -f
    Fältet för att ställa in. Format är field_name:value, till exempel: --field taggar: tagg1, tagg2. Använd --list-fields för att få en lista med alla fältnamn. Du kan ange det här alternativet flera gånger för att ställa in flera fält. Observera: För språk du måste använda ISO639 språkkoder (t.ex. EN för engelska, fr för franska och så vidare). För identifierare, är syntaxen --field identifiers:isbn:XXXX,doi:YYYYY. För boolean (ja/nej) fält använder sann och falsk eller ja och nej.

--list-fields, -l
    Ange namn på metadatafälten som kan användas med --field option

EXPORT

calibredb export [options] id

Exportera böckerna som anges av id (en kommaseparerad lista) till filsystemet. Export operation sparar alla format av boken, omslaget och metadata (in en OPF-fil). Du kan få id-nummer från sökkommandot.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--all
    Exportera alla böcker i databasen och ignorera ID-listan.

--dont-asciiize
    Normalt kommer calibre att konvertera alla icke-engelska i filnamnet till engelska motsvarigheter. VARNING: Om du stänga av denna funktion kan det uppstå fel vid sparande, beroende på hur väl filsystemet du sparar till stöder Unicode. Om denna växel aktiveras, kommer detta beteende att stängas av.

--dont-save-cover
    Normalt sparar calibre omslaget i en separat fil tillsammans med själva e-bokfilerna. Om denna växel aktiveras, kommer detta beteende att stängas av.

--dont-update-metadata
    Normalt kommer calibre att uppdatera metadata i de sparade filerna utifrån det som finns i calibre-biblioteket. Detta gör att filerna sparas långsammare till disken. Om denna växel aktiveras, kommer detta beteende att stängas av.

--dont-write-opf
    Normalt kommer calibre skriva metadata i en separat OPF-fil tillsammans med själva e-bokfilerna. Om denna växel aktiveras, kommer detta beteende att stängas av.

--formats
    Kommaseparerad lista med format att spara för varje bok. Som standard sparas alla tillgängliga format.

--progress
    Rapportera framsteg

--replace-whitespace
    Ersätt whitespace med understreck.

--single-dir
    Exportera alla böcker till en enda katalog

--template
    Mallen styr filnamnet och katalogstrukturen för sparade filer. Grundinställning är "{author_sort}/{title}/{title} - {authors}" som kommer spara böcker i en per-författare underkatalog med filnamn bestående av titel och författare. Tillgängliga val är: {author_sort, authors, id, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, tags, timestamp, title}

--timefmt
    Format för datumvisning. %d - dag, %b - månad, %m - månadsnummer, %Y - år. Grundinställning är: %b, %Y

--to-dir
    Exportera böcker till den angivna katalogen. Standard är .

--to-lowercase
    Konvertera sökvägar till gemener.

CATALOG

calibredb sökväg /path/to/destination.(csv|epub|mobi|xml...) [alternativ]

Exportera en sökväg i format specificerat med path/to/destination tillägg. Alternativ hur uppslag visas i genererad utdata. Observera att olika katalogformat stöder olika uppsättningar av alternativ.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--ids, -i
    Kommaseparerad lista med databas-ID till katalogen. Om de deklareras, ignoreras --search. Standard: alla

--search, -s
    Filtrera sökningens resultat. Se sökrelaterad dokumentation i användarhandboken för information om sökformatet. Standard: Ingen filtrering

--verbose, -v
    Visa detaljerad utdatainformation. Användbart för felsökning

  EPUB ALTERNATIV

--catalog-title
    Titel på den genererade katalogen som används som titel i metadata. Standard: 'My Books' Gäller: AZW3-, EPUB-, MOBI-utdataformat

--cross-reference-authors
    Skapa korsreferenser i författarsektionen för böcker med flera författare. Standard: 'False' Gäller: AZW3-, EPUB-, MOBI-utdataformat

--debug-pipeline
    Spara utdata från olika stadier av konverteringen till den angivna katalogen. Användbart om du är osäker på i vilket stadium av konverteringsprocessen ett fel sker. Standard: 'None' Gäller: AZW3-, EPUB-, MOBI-utdataformat

--exclude-genre
    Regex beskriver taggar för att utesluta som genrer. Standard: '[.+]|^+$' utesluter parentestaggar, t.ex. '[Project Gutenberg]', och '+', standard-tagg för lästa böcker. Gäller: AZW3-, EPUB-, MOBI-utdataformat

--exclusion-rules
    Anger de regler som används för att utesluta böcker från den genererade katalogen. Modellen för en undantagsregel är antingen ('<regel namn>','Taggar",'<komma-separerad lista med taggar>') eller ('<regel namn>','<anpassad column>','<mönster>'). Till exempel: (("Arkiverade böcker", "# status", "Arkiverade"),) kommer att utesluta en bok med ett värde på "status" "Arkiverat" i den anpassade kolumnen. När flera regler är definierade, kommer alla regler tillämpas. Standard: "(('Catalogs','Tags','Catalog'),)" Gäller: AZW3-, EPUB-, MOBI-utdataformat

--generate-authors
    Inkludera 'Författar' sektion i katalogen. Standard: 'False' Gäller: AZW3-, EPUB-, MOBI-utdataformat

--generate-descriptions
    Inkludera sektionen 'Beskrivningar' i katalogen. Standard: 'False' Gäller: AZW3-, EPUB-, MOBI-utdataformat

--generate-genres
    Inkludera sektionen 'Genrer' i katalogen. Standard: 'False' Gäller: AZW3-, EPUB-, MOBI-utdataformat

--generate-recently-added
    Inkludera sektioen 'Senaste tillagda' i katalogen. Standard: 'False' Gäller: AZW3-, EPUB-, MOBI-utdataformat

--generate-series
    Inkludera sektioen 'Serier' i katalogen Standard: 'False' Gäller: AZW3-, EPUB-, MOBI-utdataformat

--generate-titles
    Inkludera sektionen 'Titlar' i katalogen. Standard: 'False' Gäller: AZW3-, EPUB-, MOBI-utdataformat

--genre-source-field
    Källfältet för "Genrer" sektion. Standard: 'Taggar' Gäller: AZW3-, EPUB-, MOBI-utdataformat

--header-note-source-field
    Anpassat fält innehåller anmärkning text att infoga i beskrivningsrubrik. Standard: '' Gäller: AZW3-, EPUB-, MOBI-utdataformat

--merge-comments-rule
    #<custom field>:[before|after]:[True|False] anger: <custom field> Anpassat fält innehåller anteckningar att sammanfoga med kommentarer [before|after] Placering av noteringar med avseende på kommentarer [True|False] - En horisontell linje infogas mellan noteringar och Kommentarer Standard: '::' Gäller: AZW3-, EPUB-, MOBI-utdataformat

--output-profile
    Anger utdataprofilen. I vissa fall krävs en utdataprofil för att optimera katalogen för enheten. Till exempel skapar "kindle" eller "kindle_dx" en strukturerad innehållsförteckning med avsnitt och artiklar. Standard: 'None' Gäller: AZW3-, EPUB-, MOBI-utdataformat

--prefix-rules
    Anger de regler som används för att inkludera prefix som indikerar lästa böcker, önskelistsposter och andra användardefinierade prefix. Modellen för en prefixregel är ('<rule name>','<source field>','<pattern>','<prefix>'). När flera regler är definierade, kommer den första matchande regeln användas. Standard: "(('Read books','tags','+','✓'),('Wishlist item','tags','Wishlist','×'))" Gäller: AZW3-, EPUB-, MOBI-utdataformat

--preset
    Använd en namngiven förinställning skapas med GUI Catalog Builder. En förinställning specificerar alla inställningar för att bygga en katalog. Standard: 'None' Gäller: AZW3-, EPUB-, MOBI-utdataformat

--thumb-width
    Storleksråd (i tum) för bokomslag i katalog. Intervall: 1.0 - 2.0 Standard: '1.0' Gäller: AZW3-, EPUB-, MOBI-utdataformat

--use-existing-cover
    Ersätt befintliga omslag när du skapar katalog. Standard: 'False' Gäller: AZW3-, EPUB-, MOBI-utdataformat

SAVED_SEARCHES

calibredb saved_searches [alternativ] (list|add|remove)

Hantera sparade sökningar I denna databas. Om du försöker lägga till en fråga med ett namn som redan finns, kommer det att ersättas.

Syntax för att lägga till:

calibredb sparade sökningar lägg till söknamn sökuttryck

Syntax för att ta bort:

calibredb sparade sökningar avlägsna söknamn

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

ADD_CUSTOM_COLUMN

calibredb add_custom_column [alternativ] label name datatype

Skapa en egen kolumn. Kolumnamn är det maskinvänliga namnet på kolumnen. Bör inte innehålla blanksteg eller kolon. Namn är det människovänliga namnet på kolumnen. Datatypen är en av: bool, comments, composite, datetime, enumeration, float, int, rating, series, text

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--display
    En ordbok med alternativ för att anpassa hur data i denna kolumn ska tolkas. Detta är en JSON-sträng. För uppräknings kolumner, använd --display"{\ "enum_values\ ":[\ "val1\ ", \ "val2\ "]}" Det finns många alternativ som kan gå in i visningsalternativ variabel. Alternativ för kolumntyp är: composite: composite_template, composite_sort, make_category,contains_html, use_decorations datetime: date_format enumeration: enum_values, enum_colors, use_decorations int, float: number_format text: is_names, use_decorations Det bästa sättet att hitta giltiga kombinationer är att skapa en anpassad kolumn av lämplig typ i gränssnittet och sedan titta på säkerhetskopian OPF för en bok (se till att en ny OPF har skapats sedan kolumn lades). Du kommer att se JSON för "display" för den nya kolumnen i OPF.

--is-multiple
    Denna kolumn lagrar taggar som data (d.v.s. flera kommaseparerade värden). Gäller endast om datatypen är text.

CUSTOM_COLUMNS

calibredb custom_columns [flaggor]

Lista anpassade kolumner. Visar kolumnnamn och ID:n.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--details, -d
    Visa detaljer för varje kolumn.

REMOVE_CUSTOM_COLUMN

calibredb remove_custom_column [flaggor] kolumnetikett

Ta bort den anpassade kolumnen som identifieras med etikett. Du kan se tillgängliga kolumner med kommandot custom_columns.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--force, -f
    Fråga inte efter bekräftelse

SET_CUSTOM

calibredb set_custom [alternativ] kolumn id value

Sätt värdet på en anpassad kolumn boken identifieras av id. Du kan få en lista med id genom använda sökkommando. Du kan få en lista med anpassade kolumnnamn med hjälp av custom_columns kommando.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--append, -a
    Om kolumnen lagrar flera värden, lägg angivna värden till de redan befintliga, istället för att ersätta dem.

RESTORE_DATABASE

calibredb restore_database [alternativ]

Återställ databasen från metadata lagrat i OPF-filer i varje katalog av calibre-biblioteket. Detta är användbart om din metadata.db-fil har blivit skadad.

VARNING: Detta kommando återskapar helt databasen. Du kommer att förlora alla sparade sökningar, användarkategorier, pluggbrädor, lagra-per-bok konverteringsinställningar och anpassade recept. Återställd metadata kommer bara vara så korrekta som vad finns i OPF-filer.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--really-do-it, -r
    Verkligen gör återställningen. Kommandot kommer inte köras om detta alternativ har angetts.

CHECK_LIBRARY

calibredb check_library [alternativ]

Utföra vissa kontroller av filsystemet som representerar ett bibliotek. Rapporter är invalid_titles, extra_titles, invalid_authors, extra_authors, missing_formats, extra_formats, extra_files, missing_covers, extra_covers, failed_folders

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--csv, -c
    Utdata i CSV

--ignore_extensions, -e
    Kommaseparerad lista med tillägg att ignorera. Standard: alla

--ignore_names, -n
    Kommaseparerad lista med namn att ignorera. Standard: Alla

--report, -r
    Kommaseparerad lista med rapporter. Standard: Alla

LIST_CATEGORIES

calibredb list_categories [flaggor]

Ta fram en rapport i kategorin information i databasen. Den informationen motsvarar det som visas i markeringsrutan.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--categories, -r
    Kommaseparerad lista med kategoriuppslagsnamn. Standard: Alla

--csv, -c
    Utdata i CSV

--dialect
    Den typ av CSV-fil som ska produceras. Val: excel, excel-tab

--item_count, -i
    Skriv ut endast antalet objekt i en kategori istället för räkna per post inom kategorin

--width, -w
    Största bredd på en enskild rad i utdata. Som standard används den detekterade skärmstorleken.

BACKUP_METADATA

calibredb backup_metadata [alternativ]

Säkerhetskopierat metadata lagras i databasen i individuella OPF-filer i varje boks katalog. Detta sker normalt automatiskt, men du kan köra det här kommando för att tvinga ny generering av OPF-filer med --all alternativet.

Observera att det är normalt ingen anledning att göra detta, eftersom de OPF-filer säkerhetskopieras automatiskt, varje gång metadata ändras.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--all
    Normalt fungerar detta kommando endast på böcker som har inaktuella OPF-filer. Det här alternativet gör att det fungerar på alla böcker.

CLONE

calibredb clone path/to/new/library

Skapa en klon av det aktuella biblioteket. Detta skapar ett nytt, tomt bibliotek som har alla samma anpassade kolumner, virtuella bibliotek och andra inställningar som det aktuella biblioteket.

Den klonade biblioteket innehåller inga böcker. Om du vill skapa ett komplett duplikat, inklusive alla böcker, sedan helt enkelt använda dina filsystemsverktyg för att kopiera biblioteksmappen.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

EMBED_METADATA

calibredb embed_metadata [alternativ] book_id

Uppdatera metadata i själva bokfilerna som lagras i calibre-biblioteket från metadata i calibre-databasen. Normalt är metadata uppdateras endast när filer exporteras från calibre, detta kommando är användbart om du vill att filerna ska uppdateras på plats. Observera att olika filformat stödjer olika mängder av metadata. Du kan använda det speciella värdet 'alla' för book_id för att uppdatera metadata i alla böcker. Du kan också ange flera böckers id åtskilda av blankslag och id intevall separeras genom bindestreck. Till exempel: calibredb embed_metadata 1 2 10-15 23

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--only-formats, -f
    Uppdatera bara metadata i filer för ett särskilt format. Specificera det flera gånger för flera format. Som standard kommer alla format uppdateras.

SEARCH

calibredb sök [alternativ] sökuttryck

Sök i biblioteket för den angivna söktermen, återvänder ett kommatecken separerad lista med bokidentifierare matchar sökuttrycket. Utdataformatet är användbart att mata in andra kommandon som accepterar en lista med identifierare som indata.

Sökningsuttryck kan vara allt från calibres kraftfulla sökfrågnings språk, till exempel: author:asimov title:robot

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--limit, -l
    Högsta antal resultat att returnera. Standard är alla resultat.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal